List issue collections
curl --request GET \
--url https://api.getdecipher.com/api/v1/monitoring/issue-collections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getdecipher.com/api/v1/monitoring/issue-collections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getdecipher.com/api/v1/monitoring/issue-collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"id": 123,
"type": "<string>",
"rootCause": "<string>",
"shortenedPath": "<string>",
"createdAt": "<string>",
"isResolved": true,
"lastOccurred": "<string>",
"errorCount": 123,
"sessionCount": 123,
"estimatedUsers": 123
}
],
"hasMore": true,
"nextCursor": "<string>",
"window": {
"since": "<string>",
"until": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
}Monitoring
List issue collections
Retrieve a paginated list of recent monitoring issue collections. Supports filtering by resolved status and URL regex against collection shortened paths. Results are ordered by most recent occurrence within the time window.
GET
/
api
/
v1
/
monitoring
/
issue-collections
List issue collections
Authorizations
API key authentication. Use your Decipher API key as the bearer token.
Query Parameters
Required range:
1 <= x <= 100Cursor for pagination. Use the nextCursor value from a previous response.
ISO 8601 datetime. Only return collections with occurrences after this time. Defaults to 24 hours ago.
ISO 8601 datetime. Only return collections with occurrences before this time. Defaults to now.
Regex pattern to filter collections by their shortened URL path.
Filter by resolved status. "all" returns both open and resolved collections.
Available options:
all, open, resolved